{
	saved_FirstTime[1]
	Init[() 
	{ 
		if(saved_FirstTime = 1)
		{
			SetNationality(1); SetRunning(); PlayAnimation(0);
			saved_FirstTime = 0;
		}
	}]
	
	GetYerGun[()
	{
		if (self.IsDead())
		{
			return;
		}

		gunner = GetID();
		switch(gunner)
		{
			case "Steveo"
			{
				SetState_MG42( Level.GetEntity("MG42_1") ); PlayAnimation(26);
			}
			case "fuckhd"
			{
				SetState_MG42( Level.GetEntity("MG42_2") ); PlayAnimation(26);
			}
			case "fgun1"
			{
				SetState_MG42( Level.GetEntity("MG42_3") ); PlayAnimation(26);
			}
			case "fgun2"
			{
				SetState_MG42( Level.GetEntity("MG42_5") ); PlayAnimation(26);	
			}
		}
	}]
	
	Surprised[()
	{
		if(not self.IsDead() )
		{
			GiveWeapon(56);
			SetState_Patrol(0);
			SetAttackDistance(10,6);
			SetLineOfSight(1,180);
			SetWander(0);
		}	
	}]
}